# Uses of Class
javajs.util.Lst

Packages that use Lst
Package
Description
com.sparshui.server
javajs.util
jspecview.api
jspecview.app
jspecview.appletjs
jspecview.application
jspecview.common
jspecview.export
jspecview.java
jspecview.js2d
jspecview.source
jspecview.tree
org.jmol.adapter.readers.cif
org.jmol.adapter.readers.pymol
org.jmol.adapter.readers.quantum
org.jmol.adapter.readers.simple
org.jmol.adapter.readers.xtal
org.jmol.adapter.smarter
org.jmol.api
org.jmol.awtjs.swing
org.jmol.dssx
org.jmol.export
org.jmol.jsv
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.minimize
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.multitouch
org.jmol.navigate
org.jmol.popup
org.jmol.quantum
org.jmol.script
org.jmol.scriptext
org.jmol.shape
org.jmol.shapecgo
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.symmetry
org.jmol.util
org.jmol.viewer
org.openscience.jvxl.simplewriter

## Uses of Lst in com.sparshui.server

Methods in com.sparshui.server that return Lst
Modifier and Type
Method
Description
`Lst<GestureType>`
ServerToClientProtocol.`getGestures(int groupID)`
Retrieve a list of allowed gestures for the provided group id.
Methods in com.sparshui.server with parameters of type Lst
Modifier and Type
Method
Description
`void`
ServerToClientProtocol.`processEvents(int groupID, Lst<Event> events)`
Instruct the client to process the events that have been generated by a group.
Constructors in com.sparshui.server with parameters of type Lst
Modifier
Constructor
Description
``
`Group(int id, Lst<GestureType> gestureTypes, ServerToClientProtocol clientProtocol)`
Construct a new group with the given gesture IDs and the given connection to the client.

## Uses of Lst in javajs.util

Methods in javajs.util that return Lst
Modifier and Type
Method
Description
`static <type> Lst<type>[]`
AU.`createArrayOfArrayList(int size)`
Helper method for creating a List<Tx>[] without warnings.
`Lst<javajs.util.CompoundDocDirEntry>`
CompoundDocument.`getDirectory()`
`static Lst<Object>`
Measure.`getIntersectionPP(P4 plane1, P4 plane2)`
Calculate the line that is the intersection of two planes.
`static Lst<P3>`
Measure.`getLatticePoints(Lst<P3> cpts, int h, int k, int l)`
Based on a set of centering points, creates a list of lattice points in place.
`static Lst<P3>`
Measure.`getPointsOnPlane(P3[] pts, P4 plane)`
Based on a set of centering points, returns the list of points on a given plane.
`static Lst<P3>`
Measure.`transformPoints(Lst<P3> vPts, M4 m4, P3 center)`
Methods in javajs.util with parameters of type Lst
Modifier and Type
Method
Description
`static P3[]`
Measure.`getCenterAndPoints(Lst<P3> vPts)`
from a list of points, create an array that includes the center point as the first point.
`static Lst<P3>`
Measure.`getLatticePoints(Lst<P3> cpts, int h, int k, int l)`
Based on a set of centering points, creates a list of lattice points in place.
`static float`
Measure.`getTransformMatrix4(Lst<P3> ptsA, Lst<P3> ptsB, M4 m, P3 centerA)`
Fills a 4x4 matrix with rotation-translation of mapped points A to B.
`static String`
PT.`replaceQuotedStrings(String s, Lst<String> list, Lst<String> newList)`
`static String`
PT.`replaceStrings(String s, Lst<String> list, Lst<String> newList)`
`static String`
AU.`sortedItem(Lst<String> v, int n)`
`static Lst<P3>`
Measure.`transformPoints(Lst<P3> vPts, M4 m4, P3 center)`

## Uses of Lst in jspecview.api

Methods in jspecview.api that return Lst
Modifier and Type
Method
Description
`Lst<String>`
JSVAppInterface.`getScriptQueue()`
Methods in jspecview.api with parameters of type Lst
Modifier and Type
Method
Description
`void`
JSVTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`
`JSVPanel`
AppletFrame.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`void`
JSVMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`
`JSVPanel`
ScriptInterface.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
ScriptInterface.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`
`String`
ExportInterface.`write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)`
from EXPORT command

## Uses of Lst in jspecview.app

Methods in jspecview.app that return Lst
Modifier and Type
Method
Description
`Lst<String>`
JSVApp.`getScriptQueue()`
Methods in jspecview.app with parameters of type Lst
Modifier and Type
Method
Description
`JSVPanel`
JSVApp.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
JSVApp.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`

## Uses of Lst in jspecview.appletjs

Methods in jspecview.appletjs with parameters of type Lst
Modifier and Type
Method
Description
`JSVPanel`
JSVApplet.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`

## Uses of Lst in jspecview.application

Methods in jspecview.application with parameters of type Lst
Modifier and Type
Method
Description
`void`
AwtTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`
`void`
ApplicationMenu.`setRecentMenu(Lst<String> recentFilePaths)`
`JSVPanel`
JSpecView.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
JSpecView.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`
`void`
ApplicationMenu.`updateRecentMenus(Lst<String> recentFilePaths)`

## Uses of Lst in jspecview.common

Subclasses of Lst in jspecview.common
Modifier and Type
Class
Description
`class`
`IntegralData`
from IntegralGraph a data structure for integration settings
`class`
`MeasurementData`
`class`
`PeakData`
a data structure for peak lists
Fields in jspecview.common declared as Lst
Modifier and Type
Field
Description
`Lst<jspecview.common.GraphSet>`
PanelData.`graphSets`
`Lst<PanelNode>`
JSViewer.`panelNodes`
`Lst<String>`
JSViewer.`scriptQueue`
Methods in jspecview.common that return Lst
Modifier and Type
Method
Description
`static Lst<Annotation>`
IntegralData.`getIntegrationRatiosFromString(Spectrum spec, String key_values)`
Parses x-coordinates and values from a string and returns them as `IntegrationRatio` objects
`Lst<PeakInfo>`
Spectrum.`getPeakList()`
`static Lst<ScriptToken>`
ScriptToken.`getScriptTokenList(String name, boolean isExact)`
`Lst<Spectrum>`
Spectrum.`getSubSpectra()`
`static Lst<String>`
ScriptToken.`getTokens(String value)`
read a string for possibly quoted tokens separated by space until // or # is reached.
Methods in jspecview.common with parameters of type Lst
Modifier and Type
Method
Description
`void`
PanelData.`addAnnotation(Lst<String> tokens)`
`void`
PanelData.`addToList(int iSpec, Lst<Spectrum> list)`
`static PanelNode`
PanelNode.`findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
Returns the tree node that is associated with a panel
`static PanelNode`
PanelNode.`findNodeById(String id, Lst<PanelNode> panelNodes)`
`static JDXSource`
PanelNode.`findSourceByNameOrId(String id, Lst<PanelNode> panelNodes)`
`static Annotation`
Annotation.`getColoredAnnotation(GenericGraphics g2d, Spectrum spec, Lst<String> args, Annotation lastAnnotation)`
`static JSVPanel`
PanelNode.`getLastFileFirstNode(Lst<PanelNode> panelNodes)`
`static double`
Coordinate.`getMaxX(Lst<Spectrum> spectra, ViewData vd)`
Returns the maximum x value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMaxYUser(Lst<Spectrum> spectra, ViewData vd)`
Returns the maximum y value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMinX(Lst<Spectrum> spectra, ViewData vd)`
Returns the minimum x value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMinYUser(Lst<Spectrum> spectra, ViewData vd)`
Returns the minimum y value value from an array of arrays of `Coordinate`s.
`static String`
ScriptToken.`getNameList(Lst<ScriptToken> list)`
`static String`
PanelNode.`getSpectrumListAsString(Lst<PanelNode> panelNodes)`
`void`
PanelData.`initMany(Lst<Spectrum> spectra, int startIndex, int endIndex)`
`static int`
PanelNode.`isOpen(Lst<PanelNode> panelNodes, String filePath)`
`void`
ViewData.`newSpectrum(Lst<Spectrum> spectra)`
`int`
JSViewer.`openDataOrFile(Object data, String name, Lst<Spectrum> specs, String strUrl, int firstSpec, int lastSpec, boolean isAppend, String id)`
`static boolean`
Spectrum.`process(Lst<Spectrum> specs, Spectrum.IRMode irMode)`
`int`
JSViewer.`selectPanel(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
From (AwtMainPanel or JsMainPanel).setSelectedPanel
`int`
Spectrum.`setPeakList(Lst<PeakInfo> list, String peakXLabel, String peakYLabel)`
Constructors in jspecview.common with parameters of type Lst
Modifier
Constructor
Description
``
`ViewData(Lst<Spectrum> spectra, double yPt1, double yPt2, boolean isContinuous)`
``
`ViewData(Lst<Spectrum> spectra, double yPt1, double yPt2, int[] startList, int[] endList, boolean isContinuous, boolean is2D)`

## Uses of Lst in jspecview.export

Fields in jspecview.export declared as Lst
Modifier and Type
Field
Description
`protected Lst<Coordinate>`
XMLExporter.`newXYCoords`
`protected Lst<Coordinate>`
XMLExporter.`newXYCoords`
Methods in jspecview.export with parameters of type Lst
Modifier and Type
Method
Description
`String`
ExportInterface.`exportCmd(JSVPanel jsvp, Lst<String> tokens, boolean forInkscape)`
from EXPORT command
`String`
Exporter.`write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)`

## Uses of Lst in jspecview.java

Methods in jspecview.java with parameters of type Lst
Modifier and Type
Method
Description
`static AwtPanel`
AwtPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed
`void`
AwtMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of Lst in jspecview.js2d

Methods in jspecview.js2d with parameters of type Lst
Modifier and Type
Method
Description
`static JsPanel`
JsPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed
`void`
JsMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of Lst in jspecview.source

Fields in jspecview.source declared as Lst
Modifier and Type
Field
Description
`protected Lst<String[]>`
JDXHeader.`headerTable`
Methods in jspecview.source that return Lst
Modifier and Type
Method
Description
`Lst<String[]>`
JDXHeader.`getHeaderTable()`
Returns the table of headers
`Lst<Spectrum>`
JDXSource.`getSpectra()`
Returns the Vector of Spectra
Methods in jspecview.source with parameters of type Lst
Modifier and Type
Method
Description
`static JDXSource`
JDXSource.`createView(Lst<Spectrum> specs)`
`void`
JDXHeader.`setHeaderTable(Lst<String[]> table)`
Sets the headerTable for this Source or spectrum

## Uses of Lst in jspecview.tree

Methods in jspecview.tree with parameters of type Lst
Modifier and Type
Method
Description
`void`
SimpleTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`

## Uses of Lst in org.jmol.adapter.readers.cif

Fields in org.jmol.adapter.readers.cif declared as Lst
Modifier and Type
Field
Description
`Lst<String>`
CifReader.`symops`
`protected Lst<Map<String,Object>>`
MMCifReader.`vBiomolecules`
Methods in org.jmol.adapter.readers.cif with parameters of type Lst
Modifier and Type
Method
Description
`boolean`
MSRdr.`addLatticeVector(Lst<float[]> lattvecs, String data)`

## Uses of Lst in org.jmol.adapter.readers.pymol

Methods in org.jmol.adapter.readers.pymol that return Lst
Modifier and Type
Method
Description
`static Lst<Object>`
PyMOLReader.`sublistAt(Lst<Object> mesh, int... pt)`
Methods in org.jmol.adapter.readers.pymol with parameters of type Lst
Modifier and Type
Method
Description
`static Lst<Object>`
PyMOLReader.`sublistAt(Lst<Object> mesh, int... pt)`

## Uses of Lst in org.jmol.adapter.readers.quantum

Fields in org.jmol.adapter.readers.quantum declared as Lst
Modifier and Type
Field
Description
`protected Lst<String>`
GamessReader.`atomNames`
`protected Lst<String>`
MOReader.`moTypes`
`Lst<Map<String,Object>>`
BasisFunctionReader.`orbitals`
`Lst<int[]>`
BasisFunctionReader.`shells`
`protected Lst<SlaterData>`
BasisFunctionReader.`slaters`
`protected Lst<AdfReader.SymmetryData>`
AdfReader.`vSymmetries`
Methods in org.jmol.adapter.readers.quantum that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
NBOParser.`getAllStructures(String output, Lst<Object> list)`
Methods in org.jmol.adapter.readers.quantum with parameters of type Lst
Modifier and Type
Method
Description
`protected void`
MOReader.`addMOData(int nColumns, Lst<String>[] data, Map<String,Object>[] mos)`
`Lst<Object>`
NBOParser.`getAllStructures(String output, Lst<Object> list)`
`static Map<String,Object>`
NBOParser.`getStructureMap(Lst<Object> structureList, String type, int index)`
Find the map for a specified structure, producing a structure that can be used to generate lone pairs and bonds for a Lewis structure
`int`
NBOParser.`getStructures(String data, String nrtType, Lst<Object> list)`
Reads the $NRTSTR $NRTSTRA, $NRTSTRB, and $CHOOSE blocks.
`static void`
NBOParser.`getStructures46(String[] tokens, String type, Lst<Object> structures, int nAtoms)`
Use the .46 file NBO alpha/beta labels to identify bonds, lone pairs, and lone valences.
`static void`
GenNBOReader.`setNboLabels(String[] tokens, int nLabels, Lst<Map<String,Object>> orbitals, int nOrbitals0, String moType)`

## Uses of Lst in org.jmol.adapter.readers.simple

Fields in org.jmol.adapter.readers.simple declared as Lst
Modifier and Type
Field
Description
`protected Lst<Atom>`
InputReader.`vAtoms`

## Uses of Lst in org.jmol.adapter.readers.xtal

Fields in org.jmol.adapter.readers.xtal declared as Lst
Modifier and Type
Field
Description
`protected Lst<String>`
VaspPoscarReader.`atomLabels`

## Uses of Lst in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as Lst
Modifier and Type
Field
Description
`Lst<M4>`
AtomSetCollectionReader.`lstNCS`
`Lst<Object>`
Atom.`tensors`
`Lst<P3[]>`
AtomSetCollectionReader.`trajectorySteps`
Methods in org.jmol.adapter.smarter that return Lst
Modifier and Type
Method
Description
`protected static Lst<Integer>`
AtomSetCollectionReader.`getFortranFormatLengths(String s)`
get all integers after letters negative entries are spaces (1Xn)
`Lst<String>`
XtalSymmetry.FileSymmetry.`setSpinList(String configuration)`
Methods in org.jmol.adapter.smarter with parameters of type Lst
Modifier and Type
Method
Description
`boolean`
MSInterface.`addLatticeVector(Lst<float[]> lattvecs, String substring)`
`boolean`
XtalSymmetry.FileSymmetry.`addMagLatticeVectors(Lst<float[]> lattvecs)`
`void`
XtalSymmetry.FileSymmetry.`addSpinLattice(Lst<String> lstSpinFrames, Map<String,String> mapSpinIdToUVW)`
`void`
AtomSetCollection.`finalizeTrajectoryAs(Lst<P3[]> trajectorySteps, Lst<V3[]> vibrationSteps)`
Constructors in org.jmol.adapter.smarter with parameters of type Lst
Modifier
Constructor
Description
``
`AtomSetCollection(String fileTypeName, AtomSetCollectionReader reader, AtomSetCollection[] array, Lst<?> list)`

## Uses of Lst in org.jmol.api

Methods in org.jmol.api that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
JmolAnnotationParser.`catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, Map<String,int[]> valResMap, Map<String,Integer> map, Map<String,Integer> modelMap)`
`Lst<P3>`
SymmetryInterface.`generateCrystalClass(P3 pt0)`
`Lst<Float>`
JmolAnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
`Lst<Point3fi>`
SymmetryInterface.`getEquivPoints(Point3fi pt, String flags, float packing)`
`Lst<P3>`
SymmetryInterface.`getLatticeCentering()`
`Lst<String>`
SymmetryInterface.`getMoreInfo()`
`Lst<Object>`
JmolScriptManager.`getScriptItem(boolean b, boolean startedByCommandThread)`
`Lst<Lst<Object>>`
JmolScriptManager.`getScriptQueue()`
`Lst<Object>`
JmolNMRInterface.`getTensorInfo(String tensorType, String infoType, BS bs)`
`Lst<Object>`
JmolAdapterAtomIterator.`getTensors()`
`Lst<SV>`
JmolAnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
Methods in org.jmol.api that return types with arguments of type Lst
Modifier and Type
Method
Description
`Lst<Lst<Object>>`
JmolScriptManager.`getScriptQueue()`
Methods in org.jmol.api with parameters of type Lst
Modifier and Type
Method
Description
`BS`
JmolScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`Object`
JmolPropertyManager.`extractProperty(Object property, Object args, int pt, Lst<Object> v2, boolean isCompiled)`
`void`
SymmetryInterface.`getEquivPointList(int nIgnore, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`
`String`
JmolAnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`void`
SmilesMatcherInterface.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings)`
`Object`
SymmetryInterface.`getSubgroupJSON(String nameFrom, String nameTo, int index1, int index2, int flags, Map<String,Object> retMap, Lst<Object> retLst)`
`void`
JmolNavigatorInterface.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`
`boolean`
JmolJDXMOLParser.`readACDAssignments(int nPoints, boolean isPeakAssignment, Lst<String[]> list)`
`int`
JmolJDXMOLParser.`setACDAssignments(String model, String mytype, int peakCount, Lst<String[]> acdlist, String molFile)`

## Uses of Lst in org.jmol.awtjs.swing

Fields in org.jmol.awtjs.swing declared as Lst
Modifier and Type
Field
Description
`protected Lst<Component>`
Container.`list`

## Uses of Lst in org.jmol.dssx

Methods in org.jmol.dssx that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
AnnotationParser.`catalogValidations(Viewer viewer, SV map0, int[] modelAtomIndices, Map<String,int[]> resMap, Map<String,Integer> atomMap, Map<String,Integer> modelMap)`
Returns a Lst
`Lst<Float>`
AnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
Get all validation values corresponding to a specific validation type.
`Lst<SV>`
AnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
We create a main list of mappings, where each mapping has _atoms and _path
Methods in org.jmol.dssx with parameters of type Lst
Modifier and Type
Method
Description
`String`
AnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`String`
DSSR1.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`

## Uses of Lst in org.jmol.export

Methods in org.jmol.export that return Lst
Modifier and Type
Method
Description
`protected Lst<Short>`
___Exporter.`getColorList(int i00, short[] colixes, int nVertices, BS bsSelected, Map<Short,Integer> htColixes)`
input an array of colixes; returns a Vector for the color list and a HashTable for correlating the colix with a specific color index
Methods in org.jmol.export with parameters of type Lst
Modifier and Type
Method
Description
`protected int[]`
__CartesianExporter.`getNormalMap(T3[] normals, int nNormals, BS bsValid, Lst<String> vNormals)`
`protected void`
_VrmlExporter.`outputColors(Lst<Short> colorList)`
`protected void`
_StlExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_VrmlExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_X3dExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_VrmlExporter.`outputNormals(Lst<String> vNormals)`
`protected void`
___Exporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_IdtfExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_MayaExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_PovrayExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_TachyonExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_VrmlExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
JSExporter.`outputSurface(T3[] vertices, T3[] normals, short[] vertexColixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`

## Uses of Lst in org.jmol.jsv

Methods in org.jmol.jsv with parameters of type Lst
Modifier and Type
Method
Description
`boolean`
JDXMOLParser.`readACDAssignments(int nPoints, boolean isPeakAssignment, Lst<String[]> list)`
`int`
JDXMOLParser.`setACDAssignments(String model, String mytype, int peakCount, Lst<String[]> acdlist, String molFile)`

## Uses of Lst in org.jmol.jvxl.data

Fields in org.jmol.jvxl.data declared as Lst
Modifier and Type
Field
Description
`Lst<Object>[]`
JvxlData.`vContours`
Methods in org.jmol.jvxl.data with parameters of type Lst
Modifier and Type
Method
Description
`static void`
JvxlCoder.`set3dContourVector(Lst<Object> v, int[][] polygonIndexes, T3[] vertices)`
Interpret fractional data in terms of actual vertex positions and create the elements of a Vector in Vector[] vContours starting at the CONTOUR_POINTS position.

## Uses of Lst in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as Lst
Modifier and Type
Field
Description
`Lst<Object>`
Parameters.`functionInfo`
`Lst<Object[]>`
Parameters.`slabInfo`
Methods in org.jmol.jvxl.readers with parameters of type Lst
Modifier and Type
Method
Description
`void`
SurfaceReader.`slabIsosurface(Lst<Object[]> slabInfo)`

## Uses of Lst in org.jmol.minimize

Fields in org.jmol.minimize declared as Lst
Modifier and Type
Field
Description
`Lst<MMConstraint>`
Minimizer.`constraints`

## Uses of Lst in org.jmol.modelset

Fields in org.jmol.modelset declared as Lst
Modifier and Type
Field
Description
`Lst<Object>`
MeasurementData.`points`
`Lst<StateScript>`
ModelSet.`stateScripts`
`protected Lst<V3[]>`
ModelSet.`vibrationSteps`
Fields in org.jmol.modelset with type parameters of type Lst
Modifier and Type
Field
Description
`Map<String, Lst<Object>>`
AtomCollection.`atomTensors`
Methods in org.jmol.modelset that return Lst
Modifier and Type
Method
Description
`Lst<P3>`
AtomCollection.`generateCrystalClass(int atomIndex, P3 pt)`
`Lst<Object>`
AtomCollection.`getAllAtomTensors(String type)`
`Lst<P3>`
AtomCollection.`getAtomPointVector(BS bs)`
`Lst<Object>`
ModelSet.`getModulationList(BS bs, char type, P3 t456)`
Methods in org.jmol.modelset with parameters of type Lst
Modifier and Type
Method
Description
`Atom`
ModelSet.`addAtom(int modelIndex, Group group, int atomicAndIsotopeNumber, String atomName, String atomType, int atomSerial, int atomSeqID, int atomSite, P3 xyz, float radius, V3 vib, int formalCharge, float partialCharge, float occupancy, float bfactor, Lst<Object> tensors, boolean isHetero, boolean isNegDisorder, byte specialAtomID, BS atomSymmetry, float bondRadius)`
`BS`
ModelSet.`addHydrogens(Lst<Atom> vConnections, P3[] pts)`
these are hydrogens that are being added due to a load 2D command and are therefore not to be flagged as NEW
`void`
ModelSet.`calcRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds)`
These are not actual hydrogen bonds.
`P3[][]`
AtomCollection.`calculateHydrogens(BS bs, int[] nTotal, Lst<Atom> vConnect, int flags)`
get a list of potential H atom positions based on elemental valence and formal charge
`static int`
Measurement.`find(Lst<Measurement> measurements, Measurement m)`
`P3[][]`
ModelSet.`getCenterAndPoints(Lst<Object[]> vAtomSets, boolean addCenters)`
`boolean`
Atom.`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
Used by SMILES to get vector of cross-links
`boolean`
Group.`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
`void`
ModelSet.`getPolymerPointsAndVectors(BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
`MeasurementData`
MeasurementData.`init(String id, Viewer vwr, Lst<Object> points)`
`void`
AtomCollection.`setAtomTensors(int atomIndex, Lst<Object> list)`

## Uses of Lst in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio that return Lst
Modifier and Type
Method
Description
`Lst<BasePair>`
NucleicMonomer.`getBasePairs()`
`Lst<BS>`
BioModel.`getBioBranches(Lst<BS> biobranches)`
Methods in org.jmol.modelsetbio with parameters of type Lst
Modifier and Type
Method
Description
`protected static int`
NucleicPolymer.`addHydrogenBond(Lst<Bond> vAtoms, Atom atom1, Atom atom2)`
`void`
BioModelSet.`calcAllRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds, int dsspVersion)`
only for base models, not trajectories
`void`
AminoPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
///////////////////////////////////////////////
`void`
BioPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
NucleicPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
BioModelSet.`getAllPolymerPointsAndVectors(BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
`Lst<BS>`
BioModel.`getBioBranches(Lst<BS> biobranches)`
`protected boolean`
Monomer.`getCrossLinkGroup(int i, Lst<Integer> vReturn, Group group, boolean crosslinkCovalent, boolean crosslinkHBond, boolean isNotCheck)`
`boolean`
Monomer.`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
`boolean`
NucleicMonomer.`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
`int`
BioPolymer.`getPolymerPointsAndVectors(int last, BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
Method parameters in org.jmol.modelsetbio with type arguments of type Lst
Modifier and Type
Method
Description
`void`
BioModelSet.`getAllPolymerInfo(BS bs, Map<String, Lst<Map<String,Object>>> info)`

## Uses of Lst in org.jmol.multitouch

Methods in org.jmol.multitouch that return Lst
Modifier and Type
Method
Description
`Lst<GestureType>`
ActionManagerMT.`getAllowedGestures(int groupID)`

## Uses of Lst in org.jmol.navigate

Methods in org.jmol.navigate with parameters of type Lst
Modifier and Type
Method
Description
`void`
Navigator.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`

## Uses of Lst in org.jmol.popup

Fields in org.jmol.popup declared as Lst
Modifier and Type
Field
Description
`protected Lst<SC>`
JmolPopup.`Special`

## Uses of Lst in org.jmol.quantum

Methods in org.jmol.quantum that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
NMRCalculation.`getTensorInfo(String tensorType, String infoType, BS bs)`

## Uses of Lst in org.jmol.script

Fields in org.jmol.script declared as Lst
Modifier and Type
Field
Description
`Lst<Lst<Object>>`
ScriptManager.`scriptQueue`
Fields in org.jmol.script with type parameters of type Lst
Modifier and Type
Field
Description
`Lst<Lst<Object>>`
ScriptManager.`scriptQueue`
Methods in org.jmol.script that return Lst
Modifier and Type
Method
Description
`static Lst<T>`
T.`getAtomPropertiesLike(String type)`
`Lst<SV>`
SV.`getList()`
`Lst<P3>`
ScriptParam.`getPointOrCenterVector(T t)`
`Lst<P3>`
ScriptParam.`getPointVector(T t, int i)`
`Lst<Object>`
ScriptManager.`getScriptItem(boolean watching, boolean isByCommandWatcher)`
`Lst<Lst<Object>>`
ScriptManager.`getScriptQueue()`
`Lst<Object>`
ScriptParam.`listParameter(int i, int nMin, int nMax)`
`Lst<Object>`
ScriptParam.`listParameter4(int i, int nMin, int nMax, boolean allowString)`
`static Lst<P3>`
ScriptParam.`transformPoints(Lst<P3> vPts, M4 m4, P3 center)`
Methods in org.jmol.script that return types with arguments of type Lst
Modifier and Type
Method
Description
`Lst<Lst<Object>>`
ScriptManager.`getScriptQueue()`
Methods in org.jmol.script with parameters of type Lst
Modifier and Type
Method
Description
`BS`
ScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
Add hydrogens to a model
`boolean`
ScriptMathProcessor.`addXList(Lst<?> x)`
`void`
ScriptEval.`cmdScript(int tok, String filename, String theScript, Lst<SV> params)`
`P4`
ScriptParam.`getHklPlane(T3 pt, float offset, Lst<P3> pts)`
`static double`
ScriptParam.`getTransformMatrix4(Lst<P3> ptsA, Lst<P3> ptsB, M4 m, P3 centerA)`
Fills a 4x4 matrix with rotation-translation of mapped points A to B.
`SV`
ScriptEval.`getUserFunctionResult(String name, Lst<SV> params, SV tokenAtom)`
`static SV`
SV.`getVariableList(Lst<?> v)`
`P4`
ScriptParam.`hklParameter(int i, Lst<P3> pts, boolean allowOffset)`
`void`
ScriptManager.`runScriptFromThread(Lst<Object> scriptItem)`
`static Lst<P3>`
ScriptParam.`transformPoints(Lst<P3> vPts, M4 m4, P3 center)`

## Uses of Lst in org.jmol.scriptext

Methods in org.jmol.scriptext that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
CmdExt.`prepareBinaryOutput(SV tvar)`
Methods in org.jmol.scriptext with parameters of type Lst
Modifier and Type
Method
Description
`float`
SmilesExt.`getSmilesCorrelation(BS bsA, BS bsB, String smiles, Lst<P3> ptsA, Lst<P3> ptsB, M4 m4, Lst<BS> vReturn, boolean asMap, int[][] mapSet, P3 center, boolean bestMap, int flags)`
The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.

## Uses of Lst in org.jmol.shape

Fields in org.jmol.shape declared as Lst
Modifier and Type
Field
Description
`protected Lst<P3>`
MeshCollection.`displayWithinPoints`
`Lst<P3[]>`
Mesh.`lineData`
`final Lst<Measurement>`
Measures.`measurements`
Methods in org.jmol.shape that return Lst
Modifier and Type
Method
Description
`protected Lst<Mesh>`
MeshCollection.`getMeshList(String key, boolean justOne)`
Get matching list of meshes, order reversed
Methods in org.jmol.shape with parameters of type Lst
Modifier and Type
Method
Description
`static boolean`
Mesh.`checkWithin(T3 pti, Lst<P3> withinPoints, float withinDistance2, boolean isWithinNot)`
`void`
Mesh.`setShowWithin(Lst<P3> showWithinPoints, float showWithinDistance2, boolean isWithinNot)`

## Uses of Lst in org.jmol.shapecgo

Fields in org.jmol.shapecgo declared as Lst
Modifier and Type
Field
Description
`Lst<Short>`
CGOMesh.`cList`
`Lst<Object>`
CGOMesh.`cmds`
`Lst<Short>`
CGOMesh.`nList`

## Uses of Lst in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as Lst
Modifier and Type
Field
Description
`Lst<Object>`
Dipole.`lstDipoles`

## Uses of Lst in org.jmol.shapesurface

Methods in org.jmol.shapesurface that return Lst
Modifier and Type
Method
Description
`Lst<Object>[]`
IsosurfaceMesh.`getContours()`
create a set of contour data.
Methods in org.jmol.shapesurface with parameters of type Lst
Modifier and Type
Method
Description
`static void`
IsosurfaceMesh.`addContourPoints(Lst<Object> v, BS bsContour, int i, SB fData, T3[] vertices, float[] vertexValues, int iA, int iB, int iC, float value)`
`static void`
IsosurfaceMesh.`setContourVector(Lst<Object> v, int nPolygons, BS bsContour, float value, short colix, int color, SB fData)`

## Uses of Lst in org.jmol.smiles

Methods in org.jmol.smiles with parameters of type Lst
Modifier and Type
Method
Description
`void`
SmilesSearch.SmilesTarget.`finalizeAromatic(Lst<BS> lstAromatic)`
`boolean`
SmilesAtom.`getCrossLinkVector(Lst<Integer> vLinks, boolean crosslinkCovalent, boolean crosslinkHBond)`
`void`
SmilesMatcher.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> ret, Lst<BS>[] vRings)`
called by ForceFieldMMFF.setAtomTypes only

## Uses of Lst in org.jmol.symmetry

Methods in org.jmol.symmetry that return Lst
Modifier and Type
Method
Description
`Lst<P3>`
Symmetry.`generateCrystalClass(P3 pt00)`
`Lst<Point3fi>`
Symmetry.`getEquivPoints(Point3fi pt, String flags, float packing)`
`Lst<P3>`
Symmetry.`getLatticeCentering()`
`static Lst<P3>`
SymmetryOperation.`getLatticeCentering(SymmetryOperation[] ops)`
`static Lst<String>`
SymmetryOperation.`getLatticeCenteringStrings(SymmetryOperation[] ops)`
`Lst<String>`
Symmetry.`getMoreInfo()`
`Lst<String>`
SpaceGroup.`setSpinList(String configuration)`
Methods in org.jmol.symmetry with parameters of type Lst
Modifier and Type
Method
Description
`boolean`
SpaceGroup.`addMagLatticeVectors(Lst<float[]> lattvecs)`
`void`
SpaceGroup.`addSpinLattice(Lst<String> lstSpinFrames, Map<String,String> mapSpinIdToUVW)`
spin space groups only
`void`
Symmetry.`getEquivPointList(int nInitial, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`
Load a list of initial current points, and one or more starting points with equivalent points.
`Object`
Symmetry.`getSubgroupJSON(String nameFrom, String nameTo, int i1, int i2, int flags, Map<String,Object> retMap, Lst<Object> retLst)`
Retrieve subgroup information for a space group.
`void`
CLEG.ClegData.`setReturnLst(Lst<Object> ret)`

## Uses of Lst in org.jmol.util

Fields in org.jmol.util declared as Lst
Modifier and Type
Field
Description
`protected Lst<org.jmol.util.BZone.BZPoint>`
BZone.`newLatticePts`
`protected Lst<P4>`
BZone.`newPlanes`
`protected Lst<org.jmol.util.BZone.Subzone>`
BZone.`subzones`
Methods in org.jmol.util that return Lst
Modifier and Type
Method
Description
`Lst<Object>`
Triangulator.`intersectPlane(P4 plane, T3[] vertices, int flags)`
a generic cell - plane intersector -- used for finding the plane through a not static so as to allow JavaScript to not load it as core.
`protected static Lst<P3>`
BZone.`within(float radius, P3 center, Lst<P3> pts)`
Methods in org.jmol.util with parameters of type Lst
Modifier and Type
Method
Description
`static String`
Escape.`eV(Lst<SV> list)`
`static BS`
JmolMolecule.`getBranchBitSet(Node[] atoms, int atomIndex, BS bsToTest, Lst<BS> biobranches, int atomIndexNot, boolean allowCyclic, boolean allowBioResidue)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself, deliver the set of atoms constituting this branch.
`boolean`
Node.`getCrossLinkVector(Lst<Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
`void`
MeshSlicer.`getIntersection(float distance, P4 plane, P3[] ptCenters, Lst<P3[]> vData, float[] fData, BS bsSource, MeshSurface meshSurface, boolean andCap, boolean doClean, int tokType, boolean isGhost)`
`static final JmolMolecule[]`
JmolMolecule.`getMolecules(Node[] atoms, BS[] bsModelAtoms, Lst<BS> biobranches, BS bsExclude)`
Creates an array of JmolMolecules from a set of atoms in the form of simple JmolNodes.
`ModulationSet`
ModulationSet.`setMod(String id, P3 r00, P3 r0, int d, Lst<Modulation> mods, M3 gammaE, Matrix[] factors, SymmetryInterface symmetry, int nOps, int iop, Vibration v, boolean isCommensurate)`
A collection of modulations for a specific atom.
`void`
MeshSurface.`slabPolygonsList(Lst<Object[]> slabInfo, boolean allowCap)`
`protected static Lst<P3>`
BZone.`within(float radius, P3 center, Lst<P3> pts)`

## Uses of Lst in org.jmol.viewer

Fields in org.jmol.viewer with type parameters of type Lst
Modifier and Type
Field
Description
`Map<String, Lst<Lst<Object>>>`
StatusManager.`messageQueue`
`Map<String, Lst<Lst<Object>>>`
StatusManager.`messageQueue`
Methods in org.jmol.viewer that return Lst
Modifier and Type
Method
Description
`Lst<Map<String,Object>>`
PropertyManager.`getAllAtomInfo(BS bs)`
`Lst<Map<String,Object>>`
PropertyManager.`getAllBondInfo(Object bsOrArray)`
`Lst<Float>`
Viewer.`getAtomValidation(String type, Atom atom)`
`Lst<Map<String,Object>>`
PropertyManager.`getMoleculeInfo(Object atomExpression)`
info ///
`Lst<Lst<Lst<Object>>>`
Viewer.`getStatusChanged(String statusNameList)`
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPointList(Lst<Point3fi> pts, String flags)`
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPoints(Point3fi pt, String flags)`
`Lst<Object>`
Viewer.`parseJSONArray(String jsonArray)`
Methods in org.jmol.viewer that return types with arguments of type Lst
Modifier and Type
Method
Description
`Map<String, Lst<Map<String,Object>>>`
PropertyManager.`getAllChainInfo(BS bs)`
`Lst<Lst<Lst<Object>>>`
Viewer.`getStatusChanged(String statusNameList)`
`Lst<Lst<Lst<Object>>>`
Viewer.`getStatusChanged(String statusNameList)`
Methods in org.jmol.viewer with parameters of type Lst
Modifier and Type
Method
Description
`BS`
Viewer.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`Object`
PropertyManager.`extractProperty(Object prop, Object args, int ptr, Lst<Object> v2, boolean isCompiled)`
`P3[]`
Viewer.`getAdditionalHydrogens(BS bsAtoms, Lst<Atom> vConnections, int flags)`
`P3[][]`
Viewer.`getCenterAndPoints(Lst<Object[]> atomSets, boolean addCenter)`
`static void`
FileManager.`getFileReferences(String script, Lst<String> fileList, Lst<String> fileListUTF)`
`void`
Viewer.`getPolymerPointsAndVectors(BS bs, Lst<P3[]> vList)`
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPointList(Lst<Point3fi> pts, String flags)`
`void`
TransformManager.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`
`MeasurementData`
Viewer.`newMeasurementData(String id, Lst<Object> points)`
`boolean`
Viewer.`rotateAboutPointsInternal(JmolScriptEvaluator eval, P3 point1, P3 point2, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected, V3 translation, Lst<P3> finalPoints, float[] dihedralList, M3 vectorMatrix, M4 m4, boolean useModelKit, P3[][] centerAndPoints)`

## Uses of Lst in org.openscience.jvxl.simplewriter

Methods in org.openscience.jvxl.simplewriter with parameters of type Lst
Modifier and Type
Method
Description
`static String`
ASimpleJvxlWriter.`jvxlGetData(VoxelDataCreator vdc, Parameters params, VolumeData volumeData, String[] title, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`
Constructors in org.openscience.jvxl.simplewriter with parameters of type Lst
Modifier
Constructor
Description
``
`SimpleMarchingCubes(VoxelDataCreator vdc, VolumeData volumeData, Parameters params, JvxlData jvxlData, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`